Name:          libmad
Version:       0.15.1b
Release:       5mamba
Summary:       A library for high-quality mpeg audio decoding
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.underbit.com/products/mad/
Source:        ftp://ftp.mars.org/pub/mpeg/%{name}-%{version}.tar.gz
Patch0:        %{name}-0.15.1b-gcc-4.3.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
LibMad is a library for high-quality mpeg audio decoding.
It currently supports MPEG-1 and the MPEG-2 extension to lower sampling frequencies, as well as the de facto MPEG 2.5 format.
All three audio layers (Layer I, Layer II, and Layer III (i.e. MP3)) are fully implemented.

%package devel
Summary:       Header files and static library for development with libmad
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
LibMad is a library for high-quality mpeg audio decoding.It currently supports MPEG-1 and the MPEG-2 extension to lower sampling frequencies, as well as the de facto MPEG 2.5 format.
All three audio layers (Layer I, Layer II, and Layer III (i.e. MP3)) are fully implemented.
This is the devel package.

%debug_package

%prep
%setup -q
sed -i "s,| arm-\*  |,| aarch64-\* | arm-\*  |," config.sub
%patch0 -p1

# create an additional pkgconfig file
cat << _EOF > mad.pc
prefix=%{_prefix}
exec_prefix=%{_prefix}
libdir=%{_libdir}
includedir=%{_includedir}

Name: mad
Description: High-quality MPEG audio decoder
Requires:
Version: 0.15.1b
Libs: -L%{_libdir} -lmad -lm
Cflags: -I%{_includedir}
_EOF

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall
install -p -D -m0644 mad.pc %{buildroot}%{_libdir}/pkgconfig/mad.pc

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libmad.so.*
%doc COPYING COPYRIGHT CREDITS

%files devel
%defattr(-, root, root)
%{_libdir}/libmad.a
%{_libdir}/libmad.la
%{_libdir}/libmad.so
%{_libdir}/pkgconfig/mad.pc
%{_includedir}/*.h
%doc CHANGES README TODO

%changelog
* Sat Dec 12 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 0.15.1b-5mamba
- rebuilt with debug package

* Sat Dec 18 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 0.15.1b-4mamba
- added patch for build with gcc >= 4.3

* Wed Apr 30 2008 Aleph0 <aleph0@openmamba.org> 0.15.1b-3mamba
- specfile updated

* Wed Jun 01 2005 Davide Madrisan <davide.madrisan@qilinux.it> 0.15.1b-2qilnx
- specfile updated

* Fri Oct 01 2004 Davide Madrisan <davide.madrisan@qilinux.it> 0.15.1b-1qilnx
- update to version 0.15.1b by autospec
- added the mad.pc file needed by some software (gst-plugins for instance)

* Sun Dec 21 2003 Silvan Calarco <silvan.calarco@mambasoft.it> 0.15.0b-1qilnx
- first build
